package com.casic.missiles.enums;

/**
 * @Description: 导出模板枚举
 * @Author: wangpeng
 * @Date: 2022/12/2 11:53
 */
public enum ExportEnum {
    FILE_EXPORT("meterFileData", "meterFileData", "计量文件信息"),
    TRAIN_PLAN_EXPORT("trainPlanData", "trainPlanData", "培训计划"),
    TRAIN_LOG_EXPORT("trainLogData", "trainLogData", "培训记录"),
    METER_ORGANIZE_EXPORT("meterOrganizeData", "meterOrganizeData", "计量组织"),
    TRACE_SUPPLIER_EXPORT("traceSupplierData", "traceSupplierData", "溯源供方"),
    SIGN_EXPORT("signData", "signData", "签名/签章"),
    TEMPLATE_EXPORT("templateData", "templateData", "原始记录模板/证书报告模板"),
    FIXED_ASSETS("meterFixedAssets", "meterFixedAssets", "固定资产"),
    METER_EQUIPMENT("meterEquipment", "meterEquipment", "测量设备"),
    CALIBRATION_TEST_EQUIPMENT("calibrationTestEquipment", "calibrationTestEquipment", "校准检定设备"),
    MEASURE_ACCOUNT("measureAccount", "measureAccount", "测量工装"),
    STANDARD_SUPPORT_EQUIPMENT("standardSupportEquipment", "standardSupportEquipment", "标准配套设备"),
    STANDARD_EQUIPMENT("standardEquipment", "standardEquipment", "标准装置"),
    FLOW_DEF_EXPORT("flowDefData", "flowDefData", "流程定义"),
    STAFF_CERTIFICATE("certificate", "certificate", "计量人员证书"),
    CHECK_INFO("checkInfo", "checkInfo", "设备管理点检测"),
    EQUIPMENT_APPLY("equipmentApply", "equipmentApply", "设备借用"),
    STANDARD_EQUIPMENT_REMIND("equipmentApplyRemind", "equipmentApplyRemind", "标准装置到期提醒"),
    METER_PRICE("meterPrice", "meterPrice", "价格库"),
    METER_STAFF("meterStaff", "meterStaff", "计量人员"),
    STANDARD_EQUIPMENT_APPLY("standardEquipmentApply", "standardEquipmentApply", "标准装置申请"),
    STATE_MANAGE_APPLY("stateManage", "stateManage", "状态管理"),
    METER_ACCEPTANCE_CHECK("acceptanceCheck", "acceptanceCheck", "设备检修保养验收单"),
    CUSTOMER_EXPORT("customerData", "customerData", "客户信息"),
    ORDER_EXPORT("orderData", "orderData", "委托书信息"),
    SAMPLE_EXPORT("sampleData", "sampleData", "样本信息"),
    EXCHANGE_DATA("exchangeData", "exchangeData", "设备交接单"),
    DISPATCH_DATA("dispatchData", "dispatchData", "设备收发"),
    ENVIRONMENT_DATA("environmentData", "environmentData", "环境记录单"),
    ORIGIN_DATA("originData", "originData", "原始记录"),
    CERTIFICATE_REPORT("certificateReport", "certificateReport", "证书报告"),
    ADVICE_EXPORT("adviceData", "adviceData", "客户反馈"),
    HANDOUT_EXPORT("handoutData", "handoutData", "任务分发列表"),
    OUTSOURCER_EXPORT("outsourcerData", "outsourcerData", "分包方"),
    CERTIFICATE_PRINT_EXPORT("certificatePrintData", "certificatePrintData", "证书打印"),
    DOWNLOAD_TEMPLATE("downloadTemplate", "downloadTemplate", "页面配置"),
    OUTSOURCER_CERTIFICATE_EXPORT("outsourceCertificateData", "outsourceCertificateData", "分包证书"),
    SETTLEMENT_INFO_EXPORT("settlementInfoData", "settlementInfoData", "业务结算"),
    EQUIPMENT_REMIND("equipmentRemind", "equipmentRemind", "设备到期提醒"),
    AGREEMENT_INFO_EXPORT("agreementInfoData", "agreementInfoData", "合同"),
    WORK_STATISTICS_EXPORT("workStatisticsData", "workStatisticsData", "实时工作统计"),
    DEPT_OUTPUT_EXPORT("deptOutputData", "deptOutputData", "部门产值分析"),
    WORKLOAD_EXPORT("workloadData", "workloadData", "业务工作量分析"),
    DEPT_COMPREHENSIVE_EXPORT("deptComprehensiveData", "deptComprehensiveData", "部门综合分析"),
    ENVIRONMENTAL_RECORD("environmentalRecordData", "environmentalRecordData", "现场环境记录");

    ExportEnum(String fileName, String sheetName, String description) {
        this.fileName = fileName;
        this.sheetName = sheetName;
        this.description = description;
    }

    /**
     * 导出模板相对路径
     */
    private String fileName;
    /**
     * 下载文件名
     */
    private String sheetName;
    /**
     * 描述信息
     */
    private String description;

    public String getFileName() {
        return fileName;
    }

    public String getSheetName() {
        return sheetName;
    }

    public String getDescription() {
        return description;
    }
}
